JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ meta()
static basic_json nlohmann::basic_json::meta | ( |  | ) |
| inline static
  This function returns a JSON object with information about the library, including the version number and information on the platform and compiler. Returns JSON object holding version information
  key | description
  --- | ---
  `compiler` | Information on the used compiler. It is an object with the following keys: `c++` (the used C++ standard), `family` (the compiler family; possible values are `clang`, `icc`, `gcc`, `ilecpp`, `msvc`, `pgcpp`, `sunpro`, and `unknown`), and `version` (the compiler version).
  `copyright` | The copyright line for the library as string.
  `name` | The name of the library as string.
  `platform` | The used platform as string. Possible values are `win32`, `linux`, `apple`, `unix`, and `unknown`.
  `url` | The URL of the project as string.
  `version` | The version of the library. It is an object with the following keys: `major`, `minor`, and `patch` as defined by Semantic Versioning, and `string` (the version string).
  Example The following code shows an example output of the `meta()` function. 1 #include <iostream> 2 #include <iomanip> 3 #include <nlohmann/json.hpp> 4 5 using json = nlohmann::json; 6 7 int main() 8 { 9 // call meta() 10 std::cout << std::setw(4) << json::meta() << '\n'; 11 } Output (play with this example online):
      {
          "compiler": {
              "c++": "201103",
              "family": "clang",
              "version": "11.0.3 (clang-1103.0.32.62)"
          },
          "copyright": "(C) 2013-2017 Niels Lohmann",
          "name": "JSON for Modern C++",
          "platform": "apple",
          "url": "https://github.com/nlohmann/json",
          "version": {
              "major": 3,
              "minor": 7,
              "patch": 3,
              "string": "3.7.3"
          }
      }
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/meta.cpp -o meta
Exception safety Strong guarantee: if an exception is thrown, there are no changes to any JSON value. Complexity Constant. Since 2.1.0 Definition at line 16131 of file json.hpp.

nlohmann::basic_json::meta
static basic_json meta()
returns version information on the library
Definition: json.hpp:16131
nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774